Mailinglist Archive: opensuse-factory (826 mails)

< Previous Next >
Re: [opensuse-factory] exim problem after installing 20171007
On Mon, 2017-10-09 at 13:17 +0100, Roger Whittaker wrote:
On Mon, Oct 09, 2017 at 01:34:52PM +0200, Dominique Leuenberger /
DimStar wrote:

So maybe the problem is indeed with the libldap-2_4-2 package as
I
noted: https://bugzilla.suse.com/show_bug.cgi?id=996551#c4
because it
doesn't create that symlink.

no - the problem is that exim expects libnls to be present in the
buildroot but does not request it by means of buildrequires.

Anything else is fighting symptoms

OK - understood. But isn't there also a problem with the latest
libldap-2_4-2
in that it doesn't contain the symlink /usr/lib64/libldap-2.4.so.2 ?

No - things that link libldap-2_4.so.2 instead of libldap_r-2.4.so.2
need to be fixed/rebuilt

Cheers
Dominique
< Previous Next >